List Events
get
https://statsigapi.net/console/v1/eventsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Query parameters
limitintegerResults per page
pageintegerPage number
Response
application/json200· List Events response
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
timestamp[]stringrequiredThe timestamp when the event occurred, represented as a string.
name[]stringrequiredThe name of the event (e.g., "add_to_cart").
source[]stringrequiredThe source of the event, indicating where it was triggered from.
value[]stringrequiredThe value associated with the event, providing additional context.
userID[]stringrequiredThe ID of the user who triggered the event.
paginationobjectrequiredPagination metadata for checking if there is next page for example.
400· Invalid request. Please check the request input and try again.
statusintegerrequiredmessagestringrequired401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequiredmessagestringrequiredWas this helpful?